Public Class CambiarEstArbCE
    Private CambiarEstArb As New CambiarEstArbDAO

    Public Function ProcesarCambio(ByVal CodigoInversion As String, ByVal Accion As String, ByRef cn As Object, ByRef Transaccion As Object)

        Dim TerminadoCompleto As String = String.Empty
        Dim InicioAprobacion As String = String.Empty
        Dim Respuesta As String = "NO"
        TerminadoCompleto = CambiarEstArb.CambiatEstArb(CodigoInversion, "TerminadoCreado", cn, Transaccion)
        InicioAprobacion = CambiarEstArb.CambiatEstArb(CodigoInversion, "InicioAprobacion", cn, Transaccion)
        If TerminadoCompleto = "SI" Then

            If InicioAprobacion = "NO" Then
                If (Accion = "CambiarRechazado") Then

                    Respuesta = CambiarEstArb.CambiatEstArb(CodigoInversion, "Cancelar", cn, Transaccion)

                ElseIf (Accion = "CambiarAprobacion") Then
                    Respuesta = "SI"
                End If

            Else
                If (Accion = "CambiarAprobacion") Then
                    Respuesta = "SI"
                End If
            End If

        ElseIf TerminadoCompleto = "Continuar" Then

            Respuesta = "SI"
        End If
        Return Respuesta
    End Function
End Class
